<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gui/ToggleButton.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_48c1f94cd2ae07e13fa9a9f16a1d541c.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">ToggleButton.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="ToggleButton_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="Button_8hpp.html">Button.hpp</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleButton.html">    8</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1ToggleButton.html">ToggleButton</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1Button.html">Button</a></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleButton.html#a8fb66ea22194934cbc97268c69000ace">   12</a></span>    <a class="code hl_function" href="classgg_1_1ToggleButton.html#a8fb66ea22194934cbc97268c69000ace">ToggleButton</a>(<span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> &amp;);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleButton.html#ad12f240e485c3cd0358edf1739e8e860">   13</a></span>    <a class="code hl_function" href="classgg_1_1ToggleButton.html#ad12f240e485c3cd0358edf1739e8e860">~ToggleButton</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleButton.html#a830c93c4c318a8e6341f3fe2991c10a9">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1ToggleButton.html#a830c93c4c318a8e6341f3fe2991c10a9">ToggleState</a>();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleButton.html#a2dd44dde47c3e07a977553da8203362b">   16</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1ToggleButton.html#a2dd44dde47c3e07a977553da8203362b">GetToggleState</a>() -&gt; bool;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span> </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleButton.html#a0e9b71c9ee388934a04dce6d9b000ec5">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1ToggleButton.html#a0e9b71c9ee388934a04dce6d9b000ec5">SetToggleGroup</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleButton.html#a1f3d0076845ff1681cca73b3a0945f4a">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1ToggleButton.html#a1f3d0076845ff1681cca73b3a0945f4a">ApplyStyle</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="classgg_1_1ToggleButton.html#ab7308abe03ac47067cbf7d86715163a0">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1ToggleButton.html#ab7308abe03ac47067cbf7d86715163a0">OnMouseReleasedEvent</a>(<a class="code hl_class" href="classgg_1_1IEvent.html">IEvent</a> *e) <span class="keyword">override</span>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="keywordtype">bool</span> mToggleState;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>};</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aButton_8hpp_html"><div class="ttname"><a href="Button_8hpp.html">Button.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1Attributes_html"><div class="ttname"><a href="classgg_1_1Attributes.html">gg::Attributes</a></div><div class="ttdef"><b>Definition:</b> Attributes.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1Button_html"><div class="ttname"><a href="classgg_1_1Button.html">gg::Button</a></div><div class="ttdef"><b>Definition:</b> Button.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1IEvent_html"><div class="ttname"><a href="classgg_1_1IEvent.html">gg::IEvent</a></div><div class="ttdef"><b>Definition:</b> Event.hpp:41</div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html"><div class="ttname"><a href="classgg_1_1ToggleButton.html">gg::ToggleButton</a></div><div class="ttdef"><b>Definition:</b> ToggleButton.hpp:9</div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html_a0e9b71c9ee388934a04dce6d9b000ec5"><div class="ttname"><a href="classgg_1_1ToggleButton.html#a0e9b71c9ee388934a04dce6d9b000ec5">gg::ToggleButton::SetToggleGroup</a></div><div class="ttdeci">void SetToggleGroup() override</div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html_a1f3d0076845ff1681cca73b3a0945f4a"><div class="ttname"><a href="classgg_1_1ToggleButton.html#a1f3d0076845ff1681cca73b3a0945f4a">gg::ToggleButton::ApplyStyle</a></div><div class="ttdeci">void ApplyStyle() override</div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html_a2dd44dde47c3e07a977553da8203362b"><div class="ttname"><a href="classgg_1_1ToggleButton.html#a2dd44dde47c3e07a977553da8203362b">gg::ToggleButton::GetToggleState</a></div><div class="ttdeci">auto GetToggleState() -&gt; bool</div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html_a830c93c4c318a8e6341f3fe2991c10a9"><div class="ttname"><a href="classgg_1_1ToggleButton.html#a830c93c4c318a8e6341f3fe2991c10a9">gg::ToggleButton::ToggleState</a></div><div class="ttdeci">void ToggleState()</div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html_a8fb66ea22194934cbc97268c69000ace"><div class="ttname"><a href="classgg_1_1ToggleButton.html#a8fb66ea22194934cbc97268c69000ace">gg::ToggleButton::ToggleButton</a></div><div class="ttdeci">ToggleButton(const Attributes &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html_ab7308abe03ac47067cbf7d86715163a0"><div class="ttname"><a href="classgg_1_1ToggleButton.html#ab7308abe03ac47067cbf7d86715163a0">gg::ToggleButton::OnMouseReleasedEvent</a></div><div class="ttdeci">void OnMouseReleasedEvent(IEvent *e) override</div></div>
<div class="ttc" id="aclassgg_1_1ToggleButton_html_ad12f240e485c3cd0358edf1739e8e860"><div class="ttname"><a href="classgg_1_1ToggleButton.html#ad12f240e485c3cd0358edf1739e8e860">gg::ToggleButton::~ToggleButton</a></div><div class="ttdeci">~ToggleButton() override=default</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
